<?php
/********************************************************************
**************************************************************************

WPSimplicity WordPress Theme, Copyright 2012 ItsAbhik.com
WPSimplicity is distributed under the terms of the GNU GPLv3 License

**************************************************************************
***********************************************************************/
?>

<?php get_header(); ?>

 <?php 
 $latest_post_number = of_get_option( 'simplicity_latest_post_number' );
	query_posts ($query_string . '&posts_per_page=-1&showposts=' . $latest_post_number . '&paged=$paged');
	if ( is_archive() && !empty($m) ) {
		$my_year = substr($m, 0, 4);
		$my_month = $wp_locale->get_month(substr($m, 4, 2));
		$my_day = intval(substr($m, 6, 2));
		$data = '' . $my_month .', ' . $my_year . '';
		
	}
	if ( is_archive() && !empty($year) ) {
		$data = $year;
	}
	
	?>

<div id="homepage-container">
	<h3>Posts Published On "<span><?php echo $data; ?></span>"</h3>

	 <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div class="home-single">
		<h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
		<?php if ( has_post_thumbnail() ) {	the_post_thumbnail('homepage-recent');} else {?> <img src="<?php echo of_get_option('simplicity_default_hpthumb');?>" class="" alt="" width="100" height="100" /> <?php } ?>
		<p class="excerpt"><?php echo simplicity_teaser_content(); ?></p>
			<div class="extras">
			<div class="keepreading"><a href="<?php the_permalink() ?>">Keep Reading</a></div>
			<?php if (of_get_option('simplicity_teaser_social') == 'show') { simplicity_homepage_social_buttons(); } ?>
			<div class="clear"></div>
			</div>
			<div class="clear"></div>
	</div>

<?php endwhile; ?>

	
		<?php if (function_exists( 'simplicity_pagination' )) { global $additional_loop; simplicity_pagination($additional_loop['max_num_pages']);} else {?>
		<div class="navigation">
		<div class="next-posts"><?php next_posts_link('Older Posts &rarr;'); ?></div>
		<div class="prev-posts"><?php previous_posts_link('&larr; Newer Posts'); ?></div>
		</div>
		<?php } ?>
	

<?php else : ?>

	<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
		<p>Sorry, No Posts Found</p>
	</div>

<?php endif; ?>
 </div>
<?php wp_reset_query(); ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>