<!doctype html>
	<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <title><?php if (is_home()){ echo get_bloginfo('name'); }else{ wp_title(); } ?></title>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
		<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>" type="text/css" media="screen" />
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
        <?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
		<?php wp_head(); ?>

    </head>
<body <?php body_class(); ?>>
	<?php /* Top Pages Navigation Starts */ ?>
	<div id="topmenu">
		<div id="topnav-container">
			<div id="logo">
			
			<?php if (of_get_option('simplicity_imagelogo') == '1') { ?>
			<a href="<?php echo site_url(); ?>" title="<?php echo get_bloginfo('name'); ?>" ><img src="<?php echo of_get_option('simplicity_logo_uploader');?>" alt="<?php echo get_bloginfo('name'); ?>" /></a>
			<?php } else { ?>
			<h1><a href="<?php echo site_url(); ?>" title="<?php echo get_bloginfo('name'); ?>" ><?php echo get_bloginfo('name'); ?></a></h1>
			<div class="tagline"><?php echo get_bloginfo( 'description' ); ?></div>
			<?php } ?>
			</div>
			
	<?php if ( has_nav_menu( 'topmenu' ) ) { if (function_exists('simplicity_topnav_global')) { simplicity_topnav_global(); }
	} else {?> <div id="top-menu" class="menu-pages"><ul id="menu-pages-menu" class="menu"><?php wp_list_pages('number=5&title_li=');?></ul></div> <?php } ?>		
			<div class="clear"></div>
		</div>
	
	</div>
	
	<div id="cat-nav">
	<?php if ( has_nav_menu( 'catmenu' ) ) { if (function_exists('simplicity_catnav_global')) { simplicity_catnav_global(); }
	} else {?> <div class="menu-cats"><ul id="menu-category-menu" class="menu"><?php wp_list_categories('number=8&title_li=');?></ul></div> <?php } ?>
	<?php if (of_get_option('simplicity_showsearchform') == 'show') { get_search_form(); } ?>
	</div>
	<div class="clear"></div>
	<?php /* Top Pages Navigation Ends */ ?>
	
	<?php /* Main Container Starts */ ?>
	<div id="container">
		<?php /* Content Area Starts */ ?>
		
		<div id="content-area">
		<?php if (of_get_option('simplicity_top_widget') == 'show') { ?>
		<div id="head-widget">
			<?php if ( dynamic_sidebar('top-widget') ) : else : ?>

 <?php endif; ?>
		<div class="clear"></div>
		</div>
<?php } ?>