<?php
/********************************************************************
**************************************************************************

WPSimplicity WordPress Theme, Copyright 2012 ItsAbhik.com
WPSimplicity is distributed under the terms of the GNU GPLv3 License

**************************************************************************
***********************************************************************/
?>

<?php get_header(); ?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<?php if (of_get_option('simplicity_author_box_position') == 'above') { echo ''.simplicity_author_meta().'<div class="clear"></div>'; }?>

		<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
		
			<h1 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
			
			<?php if (of_get_option('simplicity_single_postmeta') == '1') { ?>
			<div class="postmeta"><?php $metadata = wp_get_attachment_metadata(); ?> Uploaded On <span><?php echo get_the_date();?></span>, in <a href="<?php echo esc_url( get_permalink( $post->post_parent ) ); ?>" title="<?php echo esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ); ?>" rel="gallery"><?php echo get_the_title( $post->post_parent ); ?></a>. &rarr; <a href="<?php echo esc_url( wp_get_attachment_url() ); ?>" rel="nofollow" target="_blank">Go to Full Size Image</a> (<?php echo $metadata['width'];?>x<?php echo $metadata['height']; ?>)</div>
			<?php } ?>
			
			<?php if (of_get_option('simplicity_social_buttons') == 'show') { echo simplicity_single_social_buttons(); } ?>
			
			
			<?php $attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
	foreach ( $attachments as $k => $attachment ) {
		if ( $attachment->ID == $post->ID )
			break;
	}
	$k++;
	// If there is more than 1 attachment in a gallery
	if ( count( $attachments ) > 1 ) {
		if ( isset( $attachments[ $k ] ) )
			// get the URL of the next image attachment
			$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
		else
			// or get the URL of the first image attachment
			$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
	} else {
		// or, if there's only 1 image, get the URL of the image
		$next_attachment_url = wp_get_attachment_url();
	} ?>

								<div class="gallerysingleimage">
									<?php echo wp_get_attachment_image( $attachment->ID, array(400,400) ); ?>
								</div>

			
							<?php the_content(); ?>	
				
					<div class="navigation">
						<div class="next-posts"><?php next_image_link(' ', 'Next Image &rarr;'); ?></div>
						<div class="prev-posts"><?php previous_image_link(' ', '&larr; Previous Image'); ?></div>
					</div>


				<?php $args = array('before' => '<div class="clear"></div><div class="postpagination"> Pages:', 'after' => '</div><div class="clear"></div>', 'link_before' => '',
							'link_after'       => '', 'next_or_number' => 'number', 'nextpagelink' =>'Next Page', 'previouspagelink' =>'Previous Page', 'pagelink' => '%', 'echo' => 1 ); 
						wp_link_pages( $args ); ?>

						</div>
			<div class="clear"></div>

		<?php if (of_get_option('simplicity_author_box_position') == 'below') { echo ''.simplicity_author_meta().'<div class="clear"></div>'; } ?>
				<div class="clear"></div>
				
						<?php $afterpostwidget = of_get_option('simplicity_after_post_widget'); if ($afterpostwidget = 'show') {?>
							<div id="afterpost-widget">
							<?php if ( dynamic_sidebar('after_post_widget') ) : else : ?>
								
							<?php endif; ?>
							<div class="clear"></div>
							</div>
						<?php } ?>
				
				<?php comments_template(); ?>


	<?php endwhile; ?>
				
				<div class="clear"></div>

<?php else : ?>

	<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
		<h1>Not Found</h1>
	</div>

<?php endif; ?>
</div>
<?php get_sidebar(); ?>

<?php get_footer(); ?>