<?php
/********************************************************************
**************************************************************************

WPSimplicity WordPress Theme, Copyright 2012 ItsAbhik.com
WPSimplicity is distributed under the terms of the GNU GPLv3 License

**************************************************************************
***********************************************************************/
?>

<?php get_header(); ?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<?php if (of_get_option('simplicity_author_box_position') == 'above') { echo ''.simplicity_author_meta().'<div class="clear"></div>'; }?>

		<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
		
			<h1 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
			
			<?php if (of_get_option('simplicity_single_postmeta') == '1') { ?>
			<div class="postmeta">Posted By <span><?php the_author(); ?></span> on <span><?php the_date(); ?></span> at <span><?php the_time('g:i a'); ?></span></div>
			<?php } ?>
			
			<?php if (of_get_option('simplicity_social_buttons') == 'show') { echo simplicity_single_social_buttons(); } ?>
			
				<?php the_content(); ?>	


				<?php $args = array('before' => '<div class="clear"></div><div class="postpagination"> Pages:', 'after' => '</div><div class="clear"></div>', 'link_before' => '',
							'link_after'       => '', 'next_or_number' => 'number', 'nextpagelink' =>'Next Page', 'previouspagelink' =>'Previous Page', 'pagelink' => '%', 'echo' => 1 ); 
						wp_link_pages( $args ); ?>

						</div>
			<div class="clear"></div>
		<?php if ( !is_attachment() && is_single() && of_get_option('simplicity_single_category') == '1') { ?>
		<div class="tags">Posted Under: <?php the_category(', '); ?></div>
		<?php } ?>
		<?php if (of_get_option('simplicity_single_tag') == '1') { ?>
		<?php if (has_tag()) { ?>
			<div class="tags"><?php the_tags( 'Tagged With: ', ',  ', '' ); ?></div>
				<?php } 
				}?>
		<?php if (of_get_option('simplicity_author_box_position') == 'below') { echo ''.simplicity_author_meta().'<div class="clear"></div>'; } ?>
				<div class="clear"></div>
						
								<?php if (of_get_option('simplicity_after_post_widget') == 'show') { ?>
									<div id="afterpost-widget">
										<?php if ( dynamic_sidebar('after_post_widget') ) : else : ?>
										<?php endif; ?>
								<div class="clear"></div>
								</div>
								<?php } ?>
						
						
				
				<?php comments_template(); ?>


	<?php endwhile; ?>
				
				<div class="clear"></div>

	<div class="navigation">
		<div class="next-posts"><?php next_post_link('%link &rarr;'); ?></div>
		<div class="prev-posts"><?php previous_post_link('&larr; %link'); ?></div>
	</div>


<?php else : ?>

	<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
		<h1>Not Found</h1>
	</div>

<?php endif; ?>
</div>
<?php get_sidebar(); ?>

<?php get_footer(); ?>