<?php
/********************************************************************
**************************************************************************

WPSimplicity WordPress Theme, Copyright 2012 ItsAbhik.com
WPSimplicity is distributed under the terms of the GNU GPLv3 License

**************************************************************************
***********************************************************************/
?>
<?php get_header(); ?>

<?php if (of_get_option( 'simplicity_featured_section' ) == 'show') { simplicity_homepage_slideshow(); } ?>

<div id="homepage-container">
	<h3>Latest Posts</h3>

	
<?php $latest_post_number = of_get_option( 'simplicity_latest_post_number' ); $recentpostquery = array( 'showposts'=>$latest_post_number, 'paged'=>$paged );
		query_posts($recentpostquery); 
		 
 if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div <?php post_class('home-single'); ?>>
		<h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
		<?php if ( has_post_thumbnail() ) {	the_post_thumbnail('homepage-recent');} else {?> <img src="<?php echo of_get_option('simplicity_default_hpthumb');?>" class="" alt="" width="100" height="100" /> <?php } ?>
		<?php if (of_get_option('simplicity_single_postmeta') == '1') { ?>
			<div class="postmeta">Posted By <span><?php the_author(); ?></span> on <span><?php the_date(); ?></span> at <span><?php the_time('g:i a'); ?></span></div>
		<?php } ?>
		<p class="excerpt"><?php echo simplicity_teaser_content(); ?></p>
			<div class="extras">
			<div class="keepreading"><a href="<?php the_permalink() ?>">&larr; Keep Reading</a></div>
			<?php if (of_get_option('simplicity_teaser_social') == 'show') { simplicity_homepage_social_buttons(); } ?>
			<div class="clear"></div>
			</div>
			<div class="clear"></div>
	</div>

<?php endwhile; ?>

	
		<?php if (function_exists( 'simplicity_pagination' )) { global $additional_loop; simplicity_pagination($additional_loop['max_num_pages']);} else {?>
		<div class="navigation">
		<div class="next-posts"><?php next_posts_link('Older Posts &rarr;'); ?></div>
		<div class="prev-posts"><?php previous_posts_link('&larr; Newer Posts'); ?></div>
		</div>
		<?php } ?>
	

<?php else : ?>

	<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
		<h1>Not Found</h1>
	</div>

<?php endif; ?>
 </div>
 <?php wp_reset_query(); ?>
 </div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>