<?php
// Let's get the image part first.
function simplicity_og_image() {
  global $post, $posts;
  $image = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  if (!empty($output)) {$image = $matches[1][0];} else {
    $image = of_get_option('simplicity_ogthumb');
  }
  return $image;
}

// Let's limit the word count in description
function simplicity_og_desc_length() {
	$theContent = trim(strip_tags(get_the_content()));
		$output = str_replace( '"', '', $theContent);
		$output = str_replace( '\r\n', '', $output);
		$output = str_replace( '\n', '', $output);
			$limit = of_get_option('simplicity_oglimit');
			$content = explode(' ', $output, $limit);
			array_pop($content);
		$content = implode(" ",$content)."...";
	return strip_tags($content);
}

function simplicity_og ($iametainfo) {
if ( of_get_option('simplicity_ogenable') == 'enabled' && is_single() ) {
if (have_posts()) : while (have_posts()) : the_post(); 
$checktitle = get_the_title(); if (!empty($checktitle)) { $title = $checktitle; } else {$title = '';}
$permalink = get_permalink();
endwhile; endif;
wp_reset_query();

		$image = simplicity_og_image();
		$blogname = get_option('blogname');
		$descrip = simplicity_og_desc_length();
		$locale = of_get_option('simplicity_oglocale');
		$appid = of_get_option('simplicity_ogappid');
	
	global $iametainfo;
		$iametainfo.="\n";
		$iametainfo.="<!-- ItsAbhik.com Facebook OpenGraph and Schema Microdata Generator Start -->";
		$iametainfo.="\n";
		$iametainfo.='<meta property="og:title" content="'.$title.'" />';
		$iametainfo.="\n";
		$iametainfo.='<meta property="og:type" content="article" />';
		$iametainfo.="\n";
		$iametainfo.='<meta property="og:url" content="'.$permalink.'" />';
		$iametainfo.="\n";
		$iametainfo.='<meta property="og:image" content="'.$image.'" />';
		$iametainfo.="\n";
		$iametainfo.='<meta property="og:site_name" content="'.$blogname.'" />';
		$iametainfo.="\n";
		$iametainfo.='<meta property="og:description" content="'.$descrip.'" />';
		$iametainfo.="\n";
		$iametainfo.='<meta property="og:locale" content="'.$locale.'" />';
		$iametainfo.="\n";
		$iametainfo.='<meta property="fb:admins" content="'.$appid.'" />';
		$iametainfo.="\n";
		$iametainfo.='<!-- ItsAbhik.com Facebook OpenGraph and Schema Microdata Generator End -->';
		$iametainfo.="\n";
	echo $iametainfo;
	}
}
add_action( 'wp_head', 'simplicity_og', 5 );

?>